Subject: 23.0.94; nextstep: emacs crash at OS X startup

From: Harald Maier <[email-masked]>
Date: Mon, 15 Jun 2009 20:43:27 +0200 (CEST)

I am starting emacs in the startup phase of OS X with the following
command: 

$ open -a Emacs-ns

Since some days I always get the stack trace below. Before all worked
fine. If I afterward start emacs again for example in the debugger all
works fine. Does anybody else see such crashes? I might be related to
the latest changes in "nsfont.m".

Harald

Process:         Emacs [233]
Path:            /Applications/Emacs-ns.app/Contents/MacOS/Emacs
Identifier:      org.gnu.Emacs
Version:         Version 23.0.94 (9.0)
Code Type:       X86 (Native)
Parent Process:  launchd [117]

Interval Since Last Report:          523611 sec
Crashes Since Last Report:           10
Per-App Interval Since Last Report:  156740 sec
Per-App Crashes Since Last Report:   5

Date/Time:       2009-06-15 20:21:39.185 +0200
OS Version:      Mac OS X 10.5.7 (9J61)
Report Version:  6
Anonymous UUID:  1C5AEE89-9F7A-4F2F-AE73-3F6B1CC4EED7

Exception Type:  EXC_BAD_ACCESS (SIGABRT)
Exception Codes: KERN_INVALID_ADDRESS at 0x000000007379534f
Crashed Thread:  0

Thread 0 Crashed:
0   libSystem.B.dylib             	0x90184e42 __kill + 10
1   org.gnu.Emacs                 	0x00091eba fatal_error_signal + 314 (emacs.c:404)
2   libSystem.B.dylib             	0x901832bb _sigtramp + 43
3   ???                           	0xffffffff 0 + 4294967295
4   libSystem.B.dylib             	0x901f723a raise + 26
5   libSystem.B.dylib             	0x90203679 abort + 73
6   org.gnu.Emacs                 	0x0016c525 ns_term_shutdown + 117 (nsterm.m:4013)
7   org.gnu.Emacs                 	0x00091f0f fatal_error_signal + 399 (emacs.c:389)
8   libSystem.B.dylib             	0x901832bb _sigtramp + 43
9   ???                           	0xffffffff 0 + 4294967295
10  org.gnu.Emacs                 	0x0011f2f2 font_list_entities + 626 (font.c:2823)
11  org.gnu.Emacs                 	0x0011fffe font_find_for_lface + 1166 (font.c:3374)
12  org.gnu.Emacs                 	0x00120426 font_load_for_lface + 54 (font.c:3445)
13  org.gnu.Emacs                 	0x0008daf3 realize_face + 819 (xfaces.c:5892)
14  org.gnu.Emacs                 	0x00090852 Finternal_merge_in_global_face + 370 (xfaces.c:3983)
15  org.gnu.Emacs                 	0x00109e08 Ffuncall + 1016 (eval.c:3055)
16  org.gnu.Emacs                 	0x001450eb Fbyte_code + 3835 (bytecode.c:678)
17  org.gnu.Emacs                 	0x001091f6 Feval + 1062 (eval.c:2386)
18  org.gnu.Emacs                 	0x0010bae2 internal_lisp_condition_case + 434 (eval.c:1458)

In GNU Emacs 23.0.94.2 (i386-apple-darwin9.7.0, NS apple-appkit-949.46)
 of 2009-06-15 on ate.maierh
Windowing system distributor `Apple', version 10.3.949
configured using `configure  '--with-ns''

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: de_DE.UTF-8
  value of $XMODIFIERS: nil
  locale-coding-system: utf-8-unix
  default-enable-multibyte-characters: t

Major mode: Shell-script

Minor modes in effect:
  show-paren-mode: t
  desktop-save-mode: t
  cua-mode: t
  recentf-mode: t
  iswitchb-mode: t
  tooltip-mode: t
  mouse-wheel-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  global-auto-composition-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  column-number-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
M-x r e p o r <tab> <return>

Recent messages:
Indentation variables are now local.
Indentation setup for shell type bash
Wrote /Users/maierh/.emacs.desktop.lock
Desktop: 1 buffer restored.
Loading /Users/maierh/elisp/emacs-custom.el (source)...
Loading paren...done
Loading /Users/maierh/elisp/emacs-custom.el (source)...done
Loading /Users/maierh/local/emacs.el (source)...done
Desktop: 1 buffer restored.
For information about GNU Emacs and the GNU system, type C-h C-a.